lib64gcrypt20-1.7.10-1.mga6.x86_64.rpm


Advertisement

Description

lib64gcrypt20 - GNU Cryptographic library

Property Value
Distribution Mageia 6.1
Repository Mageia Core Updates x86_64
Package filename lib64gcrypt20-1.7.10-1.mga6.x86_64.rpm
Package name lib64gcrypt20
Package version 1.7.10
Package release 1.mga6
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://www.gnupg.org/
License LGPLv2+
Maintainer -
Download size 412.11 KB
Installed size 1.17 MB
Libgcrypt is a general purpose cryptographic library
based on the code from GNU Privacy Guard.  It provides functions for all
cryptograhic building blocks: symmetric ciphers
(AES,DES,Blowfish,CAST5,Twofish,Arcfour), hash algorithms (MD5,
RIPE-MD160, SHA-1, TIGER-192), MACs (HMAC for all hash algorithms),
public key algorithms (RSA, ElGamal, DSA), large integer functions,
random numbers and a lot of supporting functions.

Alternatives

Package Version Architecture Repository
lib64gcrypt20-1.7.8-1.1.mga6.x86_64.rpm 1.7.8 x86_64 Mageia Core Updates
lib64gcrypt20-1.7.8-1.mga6.x86_64.rpm 1.7.8 x86_64 Mageia Core
lib64gcrypt20 - - -

Requires

Name Value
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.15)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libgpg-error.so.0()(64bit) -
libgpg-error.so.0(GPG_ERROR_1.0)(64bit) -

Provides

Name Value
lib64gcrypt20 == 1.7.10-1.mga6
lib64gcrypt20(x86-64) == 1.7.10-1.mga6
libgcrypt == 1.7.10-1.mga6
libgcrypt.so.20()(64bit) -
libgcrypt.so.20(GCRYPT_1.6)(64bit) -

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package lib64gcrypt20-1.7.10-1.mga6.x86_64.rpm
Source Package libgcrypt-1.7.10-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64gcrypt20 rpm package:
    # urpmi lib64gcrypt20

Files

Path
/usr/lib64/libgcrypt.so.20
/usr/lib64/libgcrypt.so.20.1.10
/usr/share/doc/lib64gcrypt20/AUTHORS
/usr/share/doc/lib64gcrypt20/NEWS
/usr/share/doc/lib64gcrypt20/README
/usr/share/doc/lib64gcrypt20/THANKS
/usr/share/doc/lib64gcrypt20/TODO
/usr/share/licenses/lib64gcrypt20/COPYING.LIB

Changelog

2018-06-17 - wally <wally> 1.7.10-1.mga6
(not released yet)
+ Revision: 1237339
- new version 1.7.10 to fix CVE-2018-0495 (mga#23185)
- drop upstreamed patches
2017-09-08 - mrambo3501 <mrambo3501> 1.7.8-1.1.mga6
+ Revision: 1151947
- Added debian patch which fixes CVE-2017-0379 (mga#21640)
2017-07-03 - luigiwalser <luigiwalser> 1.7.8-1.mga6
+ Revision: 1109002
- 1.7.8
2017-06-08 - luigiwalser <luigiwalser> 1.7.7-1.mga6
+ Revision: 1107307
- 1.7.7
2017-01-24 - luigiwalser <luigiwalser> 1.7.6-1.mga6
+ Revision: 1083264
- 1.7.6
2016-12-17 - luigiwalser <luigiwalser> 1.7.5-1.mga6
+ Revision: 1075745
- 1.7.5
2016-08-17 - luigiwalser <luigiwalser> 1.7.3-1.mga6
+ Revision: 1046729
- 1.7.3 (fixes CVE-2016-6313)
2016-07-14 - luigiwalser <luigiwalser> 1.7.2-1.mga6
+ Revision: 1042068
- 1.7.2
2016-06-17 - tv <tv> 1.7.0-3.mga6
+ Revision: 1021840
- disable testsuite on ARM
2016-06-16 - tv <tv> 1.7.0-2.mga6
+ Revision: 1021722
- package the proper license + use %license

See Also

Package Description
lib64gd-devel-2.2.4-3.1.mga6.x86_64.rpm The development libraries and header files for gd
lib64gd-devel-2.2.5-1.mga6.x86_64.rpm The development libraries and header files for gd
lib64gd-devel-2.2.5-2.1.mga6.x86_64.rpm The development libraries and header files for gd
lib64gd-devel-2.2.5-2.3.mga6.x86_64.rpm The development libraries and header files for gd
lib64gd-devel-2.2.5-2.mga6.x86_64.rpm The development libraries and header files for gd
lib64gd-static-devel-2.2.4-3.1.mga6.x86_64.rpm Static GD library
lib64gd-static-devel-2.2.5-1.mga6.x86_64.rpm Static GD library
lib64gd-static-devel-2.2.5-2.1.mga6.x86_64.rpm Static GD library
lib64gd-static-devel-2.2.5-2.3.mga6.x86_64.rpm Static GD library
lib64gd-static-devel-2.2.5-2.mga6.x86_64.rpm Static GD library
lib64gd3-2.2.4-3.1.mga6.x86_64.rpm A library used to create PNG, JPEG, or WBMP images
lib64gd3-2.2.5-1.mga6.x86_64.rpm A library used to create PNG, JPEG, or WBMP images
lib64gd3-2.2.5-2.1.mga6.x86_64.rpm A library used to create PNG, JPEG, or WBMP images
lib64gd3-2.2.5-2.3.mga6.x86_64.rpm A library used to create PNG, JPEG, or WBMP images
lib64gd3-2.2.5-2.mga6.x86_64.rpm A library used to create PNG, JPEG, or WBMP images
Advertisement
Advertisement